
QGIS Application - Bug report #2685

On column delete wrong aliases are shown

2010-04-28 06:54 AM - pinux -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12745

Description

I have tested it only with postgis:

1. Layer Properties

2. Attributes

3. Write alieses for all the columns

4. drop a column in postgres (not the last one, but one in the middle of the table)

5. Reopen layer properties --> Attributes

6. The aliases are wrong (they are shift by 1 column)

History

#1 - 2010-11-13 05:07 PM - Volker Fröhlich

Confirmed for trunk, also happens for Shapefiles.

#2 - 2010-11-13 05:46 PM - Volker Fröhlich

A related issue:

If you drop a column from inside QGIS, the aliases should still correspond, but an additional alias gets deleted.

KONK

#3 - 2011-04-19 01:06 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

duplicate of #3057.
